<ion-header>
  <ion-toolbar style="--background: var(--ion-color-primary);color:white">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title class="search-title">
      <ion-item lines="none" style="height: 50px;width:105%">
        <ion-searchbar autofocus="true" (ionChange)="search($event)" debounce="1000" [(ngModel)]="formData.keyword"
          #searchInput mode="ios" placeholder="Cari perpustakaan..." class="input-search-2"></ion-searchbar>
      </ion-item>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <!-- CARD PERPUS -->
  <div class="ion-padding-start ion-padding-end">
    <h4 style="color:var(--ion-color-primary);"><b>Daftar Perpustakaan</b></h4>
  </div>

  <ng-container *ngIf="!isLoading"></ng-container>
  <ion-card mode="ios" class="perpus" *ngFor="let list of libraryList">
    <ion-grid class="ion-padding-bottom" (click)="gotoDetail(list)">
      <ion-row>
        <ion-col size="4">
          <img [src]="libraryPathPhoto + list?.libraryPhoto" alt=""
            onerror="this.onerror=null;this.src='assets/img/image-not-found.png';">
        </ion-col>
        <ion-col size="8">
          <h5 class="sparator">
            {{list?.libraryName}}
          </h5>
          <p color="primary">{{list?.universityName}}</p>
          <p class="sparator"><b>Alamat : </b> {{list?.libraryAddress}}</p>
          <p class="sparator"><b>Email : </b>{{list?.libraryEmail}}</p>
          <p class="sparator"><b>Jarak : </b>{{list?.distance ? list?.distance : '---'}}</p>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>

  <!-- Skeleton screen -->
  <div *ngIf="isLoading">
    <ion-card mode="ios" class="perpus" *ngFor="let i of [1,2,3,4,5,6]">
      <ion-item lines="none">
        <ion-thumbnail slot="start" class="skeleton-thumbs">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
        <ion-label>
          <h3>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </h3>
          <p>
            <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          </p>
          <br>
          <p>
            <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
          </p>
          <p>
            <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
          </p>
        </ion-label>
      </ion-item>
    </ion-card>
  </div>

  <ion-infinite-scroll threshold="50%" (ionInfinite)="doInfinite($event)">
    <ion-infinite-scroll-content loadingSpinner="crescent">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>

</ion-content>